Bug 31140 - USB blowup.
Summary: USB blowup.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-09 05:21 UTC by Ed McKenzie
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-15 02:31:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
First oops (3.51 KB, text/plain)
2001-03-09 05:23 UTC, Ed McKenzie
no flags Details
Second oops (2.90 KB, text/plain)
2001-03-09 05:23 UTC, Ed McKenzie
no flags Details
khubd/disconnect semaphore (2.05 KB, patch)
2001-03-13 21:54 UTC, Pete Zaitcev
no flags Details | Diff

Description Ed McKenzie 2001-03-09 05:21:55 UTC
On a system with a USB mouse:

[root@...]# init 1
  ...
[root@...]# exit

results in the attached panics in modprobe and khubd. It appears to be
easily reproduced.

Comment 1 Ed McKenzie 2001-03-09 05:23:10 UTC
Created attachment 12163 [details]
First oops

Comment 2 Ed McKenzie 2001-03-09 05:23:37 UTC
Created attachment 12164 [details]
Second oops

Comment 3 Ed McKenzie 2001-03-09 05:24:17 UTC
After the oopsen, everything but the mouse seems to continue functioning.

Comment 4 Ed McKenzie 2001-03-13 21:43:45 UTC
Still oopses in 2.4.2-0.1.25

Comment 5 Pete Zaitcev 2001-03-13 21:54:36 UTC
Created attachment 12631 [details]
khubd/disconnect semaphore

Comment 6 Pete Zaitcev 2001-03-13 21:58:58 UTC
I would appreciate if the requestor tested the
fix that I attached. It fixes the same problem for me.
HOWEVER, one can never be too sure.

The fix is NOT in the Rawhide at this time, as I am
discussing its merits with USB maintainers.
So, upcomings builds do not have it and the requestor
cannot just download an updates.


Comment 7 Ed McKenzie 2001-03-14 00:57:49 UTC
Your patch doesn't apply cleanly to ac12, ac19, or redhat's 0.1.25. I'll have to
apply this manually ... but not tonight

Comment 8 Pete Zaitcev 2001-03-14 01:24:22 UTC
Of course, even Alan is known to generate broken patches
(e.g. 2.4.2-ac11). This time, however, I *strongly* advise not
to apply the patch manually. If it did not apply cleanly, your
kernel was SCREWED.

Here is a test log with the attachement
that I actually downloaded from bugzilla:

[zaitcev@mellorn ksrc]$ ls kernels
linux-2.4.1.tar.bz2         patch-2.4.2-ac12.bz2  patch-2.4.2-ac7.bz2
linux-2.4.2.tar.bz2         patch-2.4.2-ac19.bz2
patch-2.4.2-ac11-fixed.bz2  patch-2.4.2-ac5.bz2
[zaitcev@mellorn ksrc]$ bzip2 -d < kernels/linux-2.4.2.tar.bz2 | tar xf -
[zaitcev@mellorn ksrc]$ mv linux linux-2.4.2-ac19-eem12
[zaitcev@mellorn ksrc]$ bzip2 -d < kernels/patch-2.4.2-ac19.bz2 | patch -d
linux-2.4.2-ac19-eem12 -p1 -s
[zaitcev@mellorn ksrc]$ patch -d linux-2.4.2-ac19-eem12 -p1 <
linux-2.4.2-ac12-p3-usb-sem.diff-31140 
patching file drivers/usb/hub.c
patching file drivers/usb/hub.h
[zaitcev@mellorn ksrc]$ 


Comment 9 Ed McKenzie 2001-03-15 02:30:22 UTC
Ok, the patch does seem to fix the oops I was getting before. However,
initscripts doesn't seem to be able to reload usb (no error, but kudzu picks up
a phantom PS/2 mouse, and X starts and locks the system... it might as well have
been an oops! :) Separate bug report already filed for phantom PS/2 detection.)

Log:

...
Mar 14 20:48:23 eem12 hotplug: pci stop -- ignored
Mar 14 20:48:24 eem12 /etc/hotplug/usb.agent: USB remove event not supported
Mar 14 20:48:24 eem12 /etc/hotplug/usb.agent: USB remove event not supported
Mar 14 20:48:24 eem12 rc: Stopping hotplug:  succeeded
Mar 14 20:48:24 eem12 init: Going single user
Mar 14 20:48:46 eem12 hotplug: ** can't synthesize pci hotplug events
Mar 14 20:48:46 eem12 hotplug: ** can't synthesize root hub events
Mar 14 20:48:46 eem12 rc: Starting hotplug:  succeeded
Mar 14 20:48:47 eem12 kudzu: Updating /etc/fstab succeeded
Mar 14 20:48:49 eem12 /etc/hotplug/usb.agent: ... no drivers for USB product 0/0/0
Mar 14 20:48:49 eem12 /etc/hotplug/usb.agent: USB remove event not supported
Mar 14 20:49:06 eem12 kudzu: unlinked /dev/mouse (was linked to /dev/input/mice)
Mar 14 20:49:07 eem12 kudzu: linked /dev/mouse to /dev/psaux
Mar 14 20:49:17 eem12 kudzu: ran mouseconfig for psaux
Mar 14 20:49:17 eem12 kudzu:  succeeded
[lockup]
...


Comment 10 Ed McKenzie 2001-03-15 02:31:53 UTC
(This is probably an initscripts issue.)

Comment 11 Arjan van de Ven 2001-03-23 19:50:20 UTC
Fix will be in the next build; please reopen this bug if kernels
0.1.36 or later (once they become available in Rawhide) do not fix this problem
for you.

Comment 12 Ed McKenzie 2001-04-09 22:03:37 UTC
This appears to be fixed in 0.1.49.


Note You need to log in before you can comment on or make changes to this bug.